SUSE SLED12 / SLES12 Security Update : netpbm (SUSE-SU-2017:1603-1)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote SUSE host is missing one or more security updates.

Description :

This update for netpbm fixes the following issues: Security bugs :

- CVE-2017-2586: A NULL pointer dereference in
stringToUint function could lead to a denial of service
(abort) problem when processing malformed images.
[bsc#1024292]

- CVE-2017-2581: A out-of-bounds write in writeRasterPbm()
could be used by attackers to crash the decoder or
potentially execute code. [bsc#1024287]

- CVE-2017-2587: A insufficient size check of memory
allocation in createCanvas() function could be used for
a denial of service attack (memory exhaustion)
[bsc#1024294]

Note that Tenable Network Security has extracted the preceding
description block directly from the SUSE security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

https://bugzilla.suse.com/1024287
https://bugzilla.suse.com/1024292
https://bugzilla.suse.com/1024294
https://www.suse.com/security/cve/CVE-2017-2581.html
https://www.suse.com/security/cve/CVE-2017-2586.html
https://www.suse.com/security/cve/CVE-2017-2587.html
http://www.nessus.org/u?d1043a8d

Solution :

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Software Development Kit 12-SP2:zypper in -t
patch SUSE-SLE-SDK-12-SP2-2017-980=1

SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:zypper in -t
patch SUSE-SLE-RPI-12-SP2-2017-980=1

SUSE Linux Enterprise Server 12-SP2:zypper in -t patch
SUSE-SLE-SERVER-12-SP2-2017-980=1

SUSE Linux Enterprise Desktop 12-SP2:zypper in -t patch
SUSE-SLE-DESKTOP-12-SP2-2017-980=1

To bring your system up-to-date, use 'zypper patch'.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 6.9
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: SuSE Local Security Checks

Nessus Plugin ID: 100909 ()

Bugtraq ID:

CVE ID: CVE-2017-2581
CVE-2017-2586
CVE-2017-2587

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now